Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.interactive
[Groovy] Class InteractiveMode

    java.lang.Object
      org.codehaus.groovy.grails.cli.interactive.InteractiveMode

    class InteractiveMode
    extends java.lang.Object

Provides the implementation of interactive mode in Grails.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`protected MetaClassRegistryCleaner` | `registryCleaner`

Property Summary
`static java.lang.String` | `ARG_SPLIT_PATTERN` Use this to split strings on unescaped whitespace.
`static java.util.List` | `FIXED_OPEN_OPTIONS`
`GrailsConsole` | `console`
`static InteractiveMode` | `current`
`java.lang.Object` | `grailsServer`
`boolean` | `interactiveModeActive`
`java.lang.Object` | `openOptions` Options supported by the 'open' command.
`GrailsScriptRunner` | `scriptRunner`
`BuildSettings` | `settings`

Constructor Summary
`InteractiveMode(BuildSettings settings, GrailsScriptRunner scriptRunner)`

Method Summary
`protected void` | `bang()`
`protected void` | `execute(java.lang.String scriptName)`
`protected void` | `exit()`
`protected void` | `goodbye()`
`static boolean` | `isActive()`
`protected void` | `open(java.lang.String scriptName)`
`void` | `parseAndExecute(java.lang.String scriptName)`
`void` | `prepareConsole(java.lang.Object commandLine)`
`void` | `run()`
`void` | `setGrailsServer(java.lang.Object grailsServer)`
`protected java.lang.Object` | `unescape(java.lang.String str)` Removes '\' escape characters from the given string.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### registryCleaner

    protected MetaClassRegistryCleaner registryCleaner

Property Detail

### ARG_SPLIT_PATTERN

    static final java.lang.String ARG_SPLIT_PATTERN

  Use this to split strings on unescaped whitespace.

### FIXED_OPEN_OPTIONS

    static final java.util.List FIXED_OPEN_OPTIONS

### console

    @Delegate
    GrailsConsole console

### current

    static InteractiveMode current

### grailsServer

    java.lang.Object grailsServer

### interactiveModeActive

    boolean interactiveModeActive

### openOptions

    java.lang.Object openOptions

  Options supported by the 'open' command.

### scriptRunner

    GrailsScriptRunner scriptRunner

### settings

    BuildSettings settings

Constructor Detail

### InteractiveMode

    InteractiveMode(BuildSettings settings, GrailsScriptRunner scriptRunner)

Method Detail

### bang

    protected void bang()

### execute

    protected void execute(java.lang.String scriptName)

### exit

    protected void exit()

### goodbye

    protected void goodbye()

### isActive

    static boolean isActive()

### open

    protected void open(java.lang.String scriptName)

### parseAndExecute

    void parseAndExecute(java.lang.String scriptName)

### prepareConsole

    void prepareConsole(java.lang.Object commandLine)

### run

    void run()

### setGrailsServer

    void setGrailsServer(java.lang.Object grailsServer)

### unescape

    protected java.lang.Object unescape(java.lang.String str)

  Removes '\' escape characters from the given string.

Groovy Documentation